Public Member Functions | Public Attributes | List of all members
libebook::LRFBookInfo Struct Reference

`#include <LRFTypes.h>`

## Public Member Functions
| LRFBookInfo ()

## Public Attributes
std::string | author
std::string | title
std::string | bookID
std::string | publisher
boost::optional< std::string > | label
std::deque< std::string > | categories
std::string | classification
boost::optional< std::string > | freeText

## Constructor & Destructor Documentation

## § LRFBookInfo()

libebook::LRFBookInfo::LRFBookInfo | ( |  | ) |

## Member Data Documentation

## § author

std::string libebook::LRFBookInfo::author

## § bookID

std::string libebook::LRFBookInfo::bookID

## § categories

std::deque<std::string> libebook::LRFBookInfo::categories

## § classification

std::string libebook::LRFBookInfo::classification

## § freeText

boost::optional<std::string> libebook::LRFBookInfo::freeText

## § label

boost::optional<std::string> libebook::LRFBookInfo::label

## § publisher

std::string libebook::LRFBookInfo::publisher

## § title

std::string libebook::LRFBookInfo::title

The documentation for this struct was generated from the following files:

- LRFTypes.h
- LRFTypes.cpp